CPPDEBUG=-g -pipe

# Options for compiling, generally.
CPPFLAGS=-DVERSION=\"$(VERSION)\" $(CPPDEBUG)
#         -fmessage-length=0

# C specific warnings
CCOPTS=$(WARNINGS) $(CWARNINGS)
# C++ specific warnings
CXXOPTS=$(WARNINGS) $(CXXWARNINGS)


# Optimization
OPTIM=-O3
#-march=pentiumpro

# Flags.
CFLAGS=$(OPTIM) $(CCOPTS)
CXXFLAGS=$(OPTIM) $(CXXOPTS)
#-fno-rtti

#LDFLAGS=-pg -ax
LDFLAGS=-g

#####
# These options were set by ./configure
# at Tue Jul 21 15:51:05 EEST 2009
# for Linux chii 2.6.30 #1 SMP Wed Jun 10 11:47:47 EEST 2009 x86_64 GNU/Linux
# To change, run ./configure again.
#
CC=gcc
CPP=cpp
CXX=g++
OPTIM +=  -ffast-math
CPPFLAGS +=  
LDFLAGS +=  
WARNINGS +=  -Wall -Wundef -Wcast-qual -Wpointer-arith -Wconversion -Wwrite-strings -Wsign-compare -Winit-self -Wextra -Wparentheses -Wformat -Wno-conversion
CWARNINGS +=  -Waggregate-return -Wshadow -Winline
CXXWARNINGS +=  -Woverloaded-virtual -Wno-non-virtual-dtor

CPPFLAGS += $(WARNINGS)

FUSE_STATIC=1
MKCROMFS_LZO_OBJ=
